List policies
Returns a paginated list of policies in a gateway.
GET
/
v1
/
gateways
/
{gateway_id}
/
policies
Error
A valid request URL is required to generate request examples{
"items": [
{
"consumer_ids": [
"<string>"
],
"created_at": "<string>",
"description": "<string>",
"enabled": true,
"gateway_id": "<string>",
"global": true,
"id": "<string>",
"mode": "<string>",
"name": "<string>",
"parallel": true,
"priority": 123,
"settings": {},
"slug": "<string>",
"stages": [
"<string>"
],
"updated_at": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
Gateway id
Query Parameters
Substring match on name or slug (alias: name)
Alias of search
Filter by enabled flag
Filter by global flag
Filter by mode (enforce, throttle, observe)
Catalog category (group type); comma-separated multi
Plugin slug (FE type filter); comma-separated multi
Sort field (name, created_at, updated_at, priority)
Sort order (asc, desc)
Page number (1-based)
Page size
⌘I
Error
A valid request URL is required to generate request examples{
"items": [
{
"consumer_ids": [
"<string>"
],
"created_at": "<string>",
"description": "<string>",
"enabled": true,
"gateway_id": "<string>",
"global": true,
"id": "<string>",
"mode": "<string>",
"name": "<string>",
"parallel": true,
"priority": 123,
"settings": {},
"slug": "<string>",
"stages": [
"<string>"
],
"updated_at": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}